Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTextUI.BasicHighlighter

    java.lang.Object
      |
      +--javax.swing.text.LayeredHighlighter
            |
            +--javax.swing.text.DefaultHighlighter
                  |
                  +--javax.swing.plaf.basic.BasicTextUI.BasicHighlighter

All Implemented Interfaces:
  Highlighter, UIResource

Enclosing class:
  BasicTextUI

public static class BasicTextUI.BasicHighlighter
extends DefaultHighlighter
implements UIResource

Inner classes inherited from class javax.swing.text.DefaultHighlighter
`DefaultHighlighter.DefaultHighlightPainter`

Inner classes inherited from class javax.swing.text.LayeredHighlighter
`LayeredHighlighter.LayerPainter`

Inner classes inherited from class javax.swing.text.Highlighter
`Highlighter.Highlight, Highlighter.HighlightPainter`

Fields inherited from class javax.swing.text.DefaultHighlighter
`DefaultPainter`

Constructor Summary
`BasicTextUI.BasicHighlighter()`

Methods inherited from class javax.swing.text.DefaultHighlighter
`addHighlight, changeHighlight, deinstall, getDrawsLayeredHighlights, getHighlights, install, paint, paintLayeredHighlights, removeAllHighlights, removeHighlight, setDrawsLayeredHighlights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTextUI.BasicHighlighter

    public BasicTextUI.BasicHighlighter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.